Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecGroupInfo

    java.lang.Object
      jet.api.SpecGroupInfo

    public class SpecGroupInfo

extends java.lang.Object

This class defines the User Defined group's conditions. SpecGroupInfo contains a set of Special Group Descriptions(SpecifieldDes).

Constructor Summary
`SpecGroupInfo(SpecifieldDes[] specifieldDes, boolean includeOther, java.lang.String othersName)` Constructor.
`SpecGroupInfo(SpecifieldDes specifieldDes, boolean includeOther, java.lang.String othersName)` Constructor.

Method Summary
`void` | `add(SpecifieldDes specifieldDes)` Adds a group conditions of user defined grouping criteria.
`boolean` | `getIncludeOther()` Gets status of whether or not to keep records outside the condition criteria in an "Others" Group.
`java.lang.String` | `getOthersName()` Gets the group name of the "Others Group".
`SpecifieldDes[]` | `getSpecifieldDes()` Gets group conditions of user defined grouping criteria.
`void` | `setIncludeOther(boolean includeOther)` Sets whether or not to keep records outside the condition criteria in an "Others" Group.
`void` | `setOthersName(java.lang.String othersName)` Sets the group name of the "Others Group".
`void` | `setSpecifieldDes(SpecifieldDes[] info)` Sets the group conditions of user defined grouping criteria.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpecGroupInfo

    public SpecGroupInfo(SpecifieldDes specifieldDes,
                         boolean includeOther,
                         java.lang.String othersName)

  Constructor. Creates Information of the User Defined group's conditions.

  Parameters:
    `specifieldDes` - The Special Group description that defines the condition criteria.
    `includeOther` - Indicates whether or not to keep values out of the range defined by `SpecifieldDes`.
    `othersName` - User defined name for the "Others Group". It keeps values out of the range defined by `SpecifieldDes`.

### SpecGroupInfo

    public SpecGroupInfo(SpecifieldDes[] specifieldDes,
                         boolean includeOther,
                         java.lang.String othersName)

  Constructor. Creates Information of the User Defined group's conditions.

  Parameters:
    `specifieldDes` - The array of Special Group description that defines the condition criteria.
    `includeOther` - Indicates whether or not to keep values out of the range defined by `SpecifieldDes`.
    `othersName` - User defined name for the "Others Group". It keeps values out of the range defined by `SpecifieldDes`.

Method Detail

### getIncludeOther

    public boolean getIncludeOther()

  Gets status of whether or not to keep records outside the condition criteria in an "Others" Group.

  Returns:
    `true`if keeping records outside the condition criteria in an "Others" Group; `false`otherwise.````

### setIncludeOther

    public void setIncludeOther(boolean includeOther)

  Sets whether or not to keep records outside the condition criteria in an "Others" Group.

  Parameters:
    `includeOther` - `true` if keeping records outside the condition criteria in a "Others" Group; `false`otherwise.``

### getOthersName

    public java.lang.String getOthersName()

  Gets the group name of the "Others Group".

  Returns:
    User defined name for the "Others Group".

### setOthersName

    public void setOthersName(java.lang.String othersName)

  Sets the group name of the "Others Group".

  Parameters:
    `otherName` - User defined name for the "Others Group". It means keeping values out of the range defined by `SpecifieldDes` in this group.

### getSpecifieldDes

    public SpecifieldDes[] getSpecifieldDes()

  Gets group conditions of user defined grouping criteria.

  Returns:
    the list of the group conditions' definitions. Each element of this list is a `SpecifieldDes`.

### setSpecifieldDes

    public void setSpecifieldDes(SpecifieldDes[] info)

  Sets the group conditions of user defined grouping criteria. Each element of this list is a `SpecifieldDes`.

  Parameters:
    `info` - A set of group conditions of user defined grouping criteria. Each element of this list is a `SpecifieldDes`.

### add

    public void add(SpecifieldDes specifieldDes)

  Adds a group conditions of user defined grouping criteria.

  Parameters:
    `specifieldDes` - The special group condition of user defined grouping criteria.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD